Summary: The tcsh shell enhanced to interoperate with the KDE File Manager
Name: ktcsh
Version: 6.09
Release: 2
Copyright: BSD
Group: System Environment/Shells
Source0: ftp://ftp.astron.com/pub/tcsh/tcsh-%{version}.tar.gz
Source1: http://www-csag.cs.uiuc.edu/individual/pakin/ktcsh-%{version}.tar.gz
Patch0: tcsh-6.07.09-utmp.patch
Patch1: tcsh-6.09.00-termios.patch
Patch2: tcsh-6.08.00-security.patch
Patch3: tcsh-6.08.00-pathmax.patch
Patch4: tcsh-6.09.00-strcoll.patch
Patch5: http://www-csag.cs.uiuc.edu/individual/pakin/tcsh-6.09.00-ktcsh.patch
#Provides: csh = %{version}
Prereq: fileutils, grep
Requires: perl >= 5, kdebase >= 1.1.2
URL: http://www.primate.wisc.edu/software/csh-tcsh-book/
Buildroot: /var/tmp/%{name}-root

%description
ktcsh is a proper superset of tcsh (which is, itself, an enhanced, but
completely compatible, version of csh, the C shell).  In ktcsh, if you
enter a URL as a command, ktcsh will pop up KDE's browser.  If you enter
the name of a data file or directory, ktcsh will behave as if you had
clicked on that file's icon.  *.kdelnk files can be run just like
executables.  ktcsh even supports launching KDE's "info:" and "man:" URLs
directly from the command line.

This package also contains KDE-enhanced analogues of cp and mv that operate
on both files and URLs and a KDE-enhanced analogue of rm that moves files
into the trash bin instead of deleting them outright.

%prep
%setup -q -n tcsh-%{version}.00
%setup -T -b 1 -D -q -n tcsh-%{version}.00
%patch0 -p1 -b .getutent
%patch1 -p1 -b .termios
%patch2 -p1 -b .security
#%patch3 -p1 -b .pathmax
%patch4 -p1 -b .strcoll
%patch5 -p0 -b .ktcsh

%build
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr

# We just have to guess where Qt lies, unfortunately.
QTDIR=`ls -d /usr/lib/qt* | tail -1`
%configure --bindir=/bin --enable-kfm --with-qt-dir=$QTDIR
#make LIBES="-lnsl -ltermcap -lcrypt"
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man/man1 $RPM_BUILD_ROOT/bin $RPM_BUILD_ROOT/usr/bin
install -m 755 -s ktcsh $RPM_BUILD_ROOT/bin/ktcsh
for manpage in ktcsh kcp kmv krm; do
    install -m 644 ${manpage}.man $RPM_BUILD_ROOT/usr/man/man1/${manpage}.1
done
#ln -sf ktcsh $RPM_BUILD_ROOT/bin/csh
nroff -me eight-bit.me > eight-bit.txt
PERLLOC=`type perl | awk 'BEGIN {print "/usr/bin/perl"}; !/not found/ {print $NF}' | tail -1`
cat kfmcwrap | sed "s|/usr/bin/perl|$PERLLOC|g" > $RPM_BUILD_ROOT/usr/bin/kfmcwrap
chmod 755 $RPM_BUILD_ROOT/usr/bin/kfmcwrap
cd $RPM_BUILD_ROOT/usr/bin
ln -s kfmcwrap kcp
ln -s kfmcwrap kmv
ln -s kfmcwrap krm

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/shells ]; then
        echo "/bin/ktcsh" >> /etc/shells
#       echo "/bin/csh" >> /etc/shells
else
        grep '^/bin/ktcsh$' /etc/shells > /dev/null || echo "/bin/ktcsh" >> /etc/shells
#       grep '^/bin/csh$' /etc/shells > /dev/null || echo "/bin/csh" >> /etc/shells
fi

%postun
if [ ! -x /bin/ktcsh ]; then
#       grep -v '^/bin/ktcsh$' /etc/shells | grep -v '^/bin/csh$'> /etc/shells.rpm
        grep -v '^/bin/ktcsh$' /etc/shells > /etc/shells.rpm
        mv /etc/shells.rpm /etc/shells
fi

%files
%defattr(-,root,root)
%doc NewThings FAQ eight-bit.txt complete.tcsh README.ktcsh csh-mode.el
/bin/ktcsh
/usr/man/man1/ktcsh.1
/usr/man/man1/kcp.1
/usr/man/man1/kmv.1
/usr/man/man1/krm.1
/usr/bin/kfmcwrap
/usr/bin/kcp
/usr/bin/kmv
/usr/bin/krm

%changelog
* Sat Jul 15 2000 Scott Pakin <pakin@uiuc.edu>
- added man pages for kcp, kmv, and krm.

* Wed Jul 12 2000 Scott Pakin <pakin@uiuc.edu>
- added kcp/kmv/krm to install section.

* Thu Jul 06 2000 Scott Pakin <pakin@uiuc.edu>
- ported tcsh.spec to ktcsh.spec.

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies

* Thu Jan 27 2000 Jeff Johnson <jbj@redhat.com>
- append entries to spanking new /etc/shells.

* Mon Jan 10 2000 Jeff Johnson <jbj@redhat.com>
- update to 6.09.
- fix strcoll oddness (#6000, #6244, #6398).

* Sat Sep 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- fix $shell by using --bindir

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Wed Feb 24 1999 Cristian Gafton <gafton@redhat.com>
- patch for using PATH_MAX instead of some silly internal #defines for
  variables that handle filenames.

* Fri Nov  6 1998 Jeff Johnson <jbj@redhat.com>
- update to 6.08.00.

* Fri Oct 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 6.07.09 from the freebsd
- security fix

* Wed Aug  5 1998 Jeff Johnson <jbj@redhat.com>
- use -ltermcap so that /bin/tcsh can be used in single user mode w/o /usr.
- update url's

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 6.07; added BuildRoot
- cleaned up the spec file; fixed source url

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- added termios hacks for new glibc
- added /bin/csh to file list

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>
 - Provides csh, adds and removes /bin/csh from /etc/shells if csh package
isn't installed.
